using System.Collections.Generic;

namespace Interfaces
{
    public class UserList
    {
        public UserList()
        {
            Users = new List<User>();
            PageSize = 10;
        }
        public string Query { get; set; }
        public int UserCount { get { return Users.Count; } }
        public int TotalUserCount { get; set; }
        public List<User> Users { get; set; }

        public int PageCount
        {
            get
            {
                if (TotalUserCount < PageSize)
                    return 1;
                return (TotalUserCount / PageSize);
            }
        }
        public Group GroupFilter { get; set; }
        public int PageSize { get; set; }
        public int PageNumber { get; set; }
    }
}